proc setDefaults { } {
global sld Resizing
##### put here all font families you would like to use
set sld(fontfamilies) {Cooper Peignot Amelio DomCasual Iglesia 
	Blippo Florab ParkAvenue RoostHeavy Show Slogan Tekton
	WindsorDemi}

####################################################################
set sld(svarlist) {background foreground fillcolor colorlist \
	lwidth snap fontfamily fontsize txtalign orientation \
	width height dwidth dheight groupcnt pastecnt imgcnt patcolor1 patcolor2}
set sld(foreground) black
set sld(background) seashell
set sld(patcolor1) gray30
set sld(patcolor2) white
set sld(fillcolor) gray
set sld(colorlist) {red green blue yellow orange \
	pink violet maroon khaki aquamarine white gray70 gray50 gray30 black}
set sld(idir) $sld(dir)/icons
set sld(group) {}
set sld(groupcnt) 0
set sld(pastecnt) 0
set sld(imgcnt) 0
set Resizing 0
set sld(cursor) left_ptr
set sld(lstyle) ""
set sld(fontstyle) ""

### default visible canvas size
set sld(height) 600
set sld(width) 600

### default drawing size
set sld(dwidth) 800
set sld(dheight) 600 

set sld(zoom) 1

# default page orientation. I like landscape presentation slides :)
set sld(orientation) "Landscape"

# this may come handy for rulers, which in turn may come handy for using with
# a zoom, which I am thinking about now
set sld(units) m ;# milimeters

if [file exists ~/.slidedrawrc] {
	source ~/.slidedrawrc	
}
set sld(slidefiles) $sld(dir)/slides

### be sure all slide varaible are initialized
set sld(page,update) 0
set sld(page,current) 1
set sld(page,max) 1
cleanSlideDir
set sld(multi) 0
set sld(scale) $sld(zoom)
set sld(update) 0
}
